Subject: Basic LDP question...

From: "Sharma, Prashant" <[email-masked]>
Date: Fri, 14 Jun 2002 12:29:14 -0700

Hi All,

    I have one basic question in handling of label request message. LRq.2
states that "Is there next hop for FEC ?". My question is what should be the
LSR behavior when there is next hop for FEC (as per routing module) but
there is NO LDP session with the next hop node. 

   In such cases, should we consider ourself as EGRESS node and send Label
Mapping to upstream node (for both independent and ordered case)? Or we
should interpret this as a failure of LRq.2 and send Notification to the
upstream node (again for both independent and ordered case) ?

  Similarly, what should be LDP behavior when recognize new FEC procedure is
executed and there is NO LDP session with next hop node.
Should we consider ourself as EGRESS node (till the time session with next
hop is up)? Or we should consider ourself as "intermediate" node always, no
matter session with next hop is up or down?

  Thanks in advance.

Regards
Prashant.

---

From: "Chetan Pinto" <[email-masked]>
Date: Sun, 16 Jun 2002 13:43:02 -0700

>Hi,
>   I have a point regarding the Proxy-Egress case. Just the point that you
>don't have a session with the next hop peer shouldn't make you behave as a
>proxy egress. You should also have a knowledge of your switch
>capabilities (may be by means of some configuration), whether it can do
>the IP forwarding or not. Also it may be necessary to know apriori for
>what prefixes I can act as proxy-egress.

Agreed that Proxy egressing should be configurable.
But why does the question "if the switch is capable of IP forwarding"
comes into picture. Isn't it a paradox? If the switch is sending
routing updates to the upstream routing peers , then it needs to take
care of the downstream traffic. Am I missing something(s) here?

>This becomes more significant an
>issue in case of CR-LDP where just like that you can't become a proxy
>egress and terminate the Constrained paths which may not satisfy the
>required service guaranties.

Implicit behaviour of CR-LSPs, but vanilla LSPs shouldn't have an issue

Thanks
chetan

>
>regards
>Bhushana
>
>
>On Fri, 14 Jun 2002, Chetan Pinto wrote:
>
> > >Hi All,
> > >
> > >states that "Is there next hop for FEC ?". My question is what should 
>be
> > >the
> > >Mapping to upstream node (for both independent and ordered case)?
> >
> > Yeah, the node should act as a Proxy-Egress
> >
> > >Or we
> > No
> > >   Similarly, what should be LDP behavior when recognize new FEC 
>procedure
> > >is
> > Again act as a proxy-egress
> >
> >
> > >
> > >   Thanks in advance.
> > >
> > >Regards
> > >Prashant.
> > >
> >
> >
> > _________________________________________________________________
> > Join the world’s largest e-mail service with MSN Hotmail.
> > http://www.hotmail.com
> >
> >

############################################################
Chetan Francis Pinto
Phone : Res : 408-244-1352
############################################################

_________________________________________________________________
MSN Photos is the easiest way to share and print your photos: 
http://photos.msn.com/support/worldwide.aspx